Web for Grapes Medical -0000 #27

gooooooooooonag
11/18/2020 11:39 AM - Yiran Wu

Status: a0 Start date: 12/01/2020
Priority: aa Due date: 12/15/2020
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

00000000o0booDooDbonoonoonoono0na0Da0Da

History

#1 - 11/18/2020 12:21 PM - Yiran Wu

- Subject changed from (00000000 to00000DOOOODODODOD
- Due date changed from 12/15/2020 to 12/07/2020

- Start date changed from 12/08/2020 to 12/01/2020

#2 - 11/18/2020 12:23 PM - Yiran Wu
- Due date changed from 12/07/2020 to 12/10/2020

#3 - 11/30/2020 03:21 PM - Yiran Wu
- Due date changed from 12/10/2020 to 12/15/2020

12/20/2025

1/1



http://www.tcpdf.org

